local lua_mongo = _G.lua_mongo
local Msg = require("core.Msg")
local Util = require("common.Util")
local Grid = require("bag.Grid")
local ItemDefine = require("bag.ItemDefine")
local EquipExcel = require("excel.equip").equip
local EquipLogic = require("equip.EquipLogic")

-- 创建装备
function createGrid(id)
   if not EquipExcel[id] then 
      assert() 
      return 
   end

   local equip = {}
   equip.id = id
   equip.uuid = lua_mongo.id()		--唯一标识
   equip.attr = nil                 --当前属性
   equip.skill = nil
   equip.quality = 1                --默认为1
   equip.putUuid = nil              --装备者
   equip.washAttr = nil             --当前洗练属性
   equip.washQuality = nil          --当前洗练品质
   return equip
end

--
function createTempGrid(id, washAttr, washQuality)
   if not EquipExcel[id] then 
      assert() 
      return 
   end

   local equip = {}
   equip.id = id
   equip.attr = washAttr     --当前属性
   equip.quality = washQuality     --默认为1
   return equip
end